import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Timestamp;

import javax.sql.DataSource;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.PreparedStatementSetter;
import org.springframework.jdbc.support.lob.LobHandler;

class Main {
  public static void main(String args[]) throws Exception {
    ApplicationContext ac = new ClassPathXmlApplicationContext("context.xml", Main.class);
    DataSource dataSource = (DataSource) ac.getBean("dataSource");
    // DataSource mysqlDataSource = (DataSource) ac.getBean("mysqlDataSource");

    final LobHandler lobHandler = (LobHandler) ac.getBean("lobHandler");

    JdbcTemplate jdbcTemplate = new JdbcTemplate(dataSource);
    jdbcTemplate.update("insert into customer(id,first_name,last_name,last_login,comments) "
        + "values (?, ?, ?, ?, ?)", new PreparedStatementSetter() {
      public void setValues(PreparedStatement ps) throws SQLException {
        ps.setLong(1, 2L);
        ps.setString(2, "A");
        ps.setString(3, "B");
        ps.setTimestamp(4, new Timestamp(System.currentTimeMillis()));
        lobHandler.getLobCreator().setClobAsString(ps, 5, "Clob data");
      }
    });
  }
}
